DKBSignDocs

API reference

GETRequires Bearer token

Take a workflow step

/api/workflows/transactions/{transaction}/take

The caller must be a candidate of the current step. 403 STEP_NOT_CANDIDATE. Concurrent updates return 409.

Path parameters

FieldTypeDescription
transaction
Required
stringPath parameter transaction.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
201Step taken
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/workflows/transactions/transaction/take' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 201

json
{
  "message": "Current step take completed",
  "transaction": {
    "id": 44,
    "current_step_id": 7,
    "next_step_id": 8,
    "status": "in_progress"
  }
}